# VecPackCreate

Creates a vector packer, used to generate "composite" vectors made up of several subvectors.

### Synopsis

    #include "petscda.h"
    #include "petscmat.h"
    PetscErrorCode VecPackCreate(MPI_Comm comm,VecPack *packer)

Collective on MPI_Comm

### Input Parameter

comm -the processors that will share the global vector

### Output Parameters

packer -the packer object

### See Also

VecPackDestroy(), VecPackAddArray(), VecPackAddDA(), VecPackScatter(),
VecPackGather(), VecPackCreateGlobalVector(), VecPackGetGlobalIndices(), VecPackGetAccess() VecPackGetLocalVectors(), VecPackRestoreLocalVectors()

Level:advanced
Location:src/dm/da/utils/pack.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex21.c.html
src/snes/examples/tutorials/ex22.c.html
src/snes/examples/tutorials/ex24.c.html